Composer package template
=========================

Template for composer packages with CI and a Docker image for local development.

Commands
--------
### Install dependencies
```bash
make install
```

### Сode style fixer
```bash
make code-style-fix
```

### Сode style check
```bash
make code-style-check
```

### Run analyzer
```bash
make analyze-code
```

### Run unit tests 
```bash
make run-unit-tests
```

### Run full test 
```bash
make full-test
```
### Remove all docker data
```bash
make prune
```